import { useEffect, useState } from 'react';
import Confetti from 'react-confetti';
import { useNavigate } from 'react-router-dom';

export default function SignUpConfirmationPage() {
    const navigate = useNavigate();
    const [countdown, setCountdown] = useState(30); // Initialize countdown to 30 seconds

    useEffect(() => {
        // Set up a timer that decreases the countdown every second
        const timer = setInterval(() => {
            setCountdown((prevCountdown) => prevCountdown - 1);
        }, 1000);

        // When countdown reaches 0, navigate to the login page
        if (countdown === 0) {
            navigate('/login');
        }

        // Cleanup the interval on component unmount or countdown reaching 0
        return () => clearInterval(timer);
    }, [navigate, countdown]);

    return (
        <div className='signup-confirmation-page center-content'>
            <Confetti/>
            <h1>Thank you for signing up with VT Research Connect!</h1>
            <img src="/site-images/logo.png"
                 alt="VT Research Connect Logo"
                 style={{width: '150px', margin: '0 auto', display: 'block'}}/>
            <h1>An email confirmation link has been sent to your email.</h1>
            <h1>You must confirm the link in your email before signing in.</h1>
            <h1>You will be redirected to the login page in {countdown} seconds.</h1>
        </div>
    );
}